All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.dataselectors
Class OLAPSortSelectorCommand

    com.sas.commands.dataselectors.OLAPSortSelectorCommand

All Implemented Interfaces:
  CommandStatusInterface, CancelInterface, ContentsChangedInterface, DataSelectorCommandInterface, DynamicAttributeCommandInterface, PendingCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, com.sas.util.SortDirectionInterface, java.lang.Cloneable, java.rmi.Remote

    public class OLAPSortSelectorCommand

implements com.sas.util.SortDirectionInterface, ContentsChangedInterface, CommandStatusInterface

Field Summary
`static int` | `HIERARCHICAL_ASCENDING`
`static int` | `HIERARCHICAL_DESCENDING`
`protected boolean` | `swing`

Fields inherited from class com.sas.commands.dataselectors.BaseSelectorCommand
`actionClass, CANCEL_MODE, COMMIT_MODE, complete, contentsChanged, eventInfo, eventSource, modal, mode, model, PROCESS_MODE, selector, selectorModel, SHOW_MODE`

Fields inherited from interface com.sas.util.SortDirectionInterface
`ASCENDING, DESCENDING, NOT_SORTED`

Fields inherited from interface com.sas.actionprovider.CommandStatusInterface
`DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`OLAPSortSelectorCommand()` Default constructor
`OLAPSortSelectorCommand(java.lang.String name)` Constructor that accepts a command name.
`OLAPSortSelectorCommand(java.lang.String name, boolean swing)` Constructor that accepts a command name.
`OLAPSortSelectorCommand(java.lang.String name, java.lang.String actionClass)` Constructor that accepts a command name and an action class type.

Method Summary
`protected void` | `commit(java.lang.Object o)`
`java.lang.String[]` | `getCellValueSortedDirections()` Returns an array of strings that indicate the sort directions of the cellValueSortedItems.
`java.lang.String[]` | `getCellValueSortedItems()` Returns an array of strings containing unique IDs of the items to be sorted.
`java.lang.String` | `getCellValueSortHierarchy()` Returns the string that indicates if the cell value hierarchy is to be maintained.
`int` | `getCommandStatus(ActionSupportFilter filter)` Returns a int value indicating whether the command is enabled for the given area as specified by the current area information encapsulate in the ActionSupportFilter.
`java.lang.String[]` | `getLevelLabelSortedDirections()` Returns an array of strings that indicate the sort directions of the levelLabelSortedItems.
`java.lang.String[]` | `getLevelLabelSortedItems()` Returns an array of strings containing unique IDs of the items to be sorted.
`java.lang.String` | `getLevelLabelSortHierarchy()` Returns the string that indicates if the level label hierarchy is to be maintained.
`boolean` | `isSwing()`
`void` | `setCellValueSortedDirections(java.lang.String[] directions)` Sets the array of strings that indicate the sort directions of the cellValueSortedItems.
`void` | `setCellValueSortedItems(java.lang.String[] items)` Sets an array of strings containing unique IDs of the items to be sorted.
`void` | `setCellValueSortHierarchy(java.lang.String value)` Sets the string that indicates if the cell value hierarchy is to be maintained.
`void` | `setLevelLabelSortedDirections(java.lang.String[] directions)` Sets the array of strings that indicate the sort directions of the levelLabelSortedItems.
`void` | `setLevelLabelSortedItems(java.lang.String[] items)` Sets an array of strings containing unique IDs of the items to be sorted.
`void` | `setLevelLabelSortHierarchy(java.lang.String value)` Sets the string that indicates if the level label hierarchy is to be maintained.
`void` | `setSwing(boolean swing)`
`protected void` | `show(java.lang.Object o)`

Methods inherited from class com.sas.commands.dataselectors.BaseSelectorCommand
`cancel, cancel, closeSelector, execute, getEventInfo, getEventSource, getMode, getModel, getSelector, getSelectorModel, isComplete, isContentsChanged, isModal, process, setComplete, setModal, setMode, setModel, setSelector, setSelectorModel`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.commands.ContentsChangedInterface
`getEventInfo, getEventSource, isContentsChanged`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### swing

    protected boolean swing

### HIERARCHICAL_ASCENDING

    public static final int HIERARCHICAL_ASCENDING

See Also:
  Constant Field Values

### HIERARCHICAL_DESCENDING

    public static final int HIERARCHICAL_DESCENDING

See Also:
  Constant Field Values

Constructor Detail

### OLAPSortSelectorCommand

    public OLAPSortSelectorCommand()

  Default constructor

### OLAPSortSelectorCommand

    public OLAPSortSelectorCommand(java.lang.String name)

  Constructor that accepts a command name.

  Parameters:
    `name` - the name for this command

### OLAPSortSelectorCommand

    public OLAPSortSelectorCommand(java.lang.String name,
                                   boolean swing)

  Constructor that accepts a command name.

  Parameters:
    `name` - the name for this command

### OLAPSortSelectorCommand

    public OLAPSortSelectorCommand(java.lang.String name,
                                   java.lang.String actionClass)

  Constructor that accepts a command name and an action class type.

  Parameters:
    `name` - the name for this command
    `actionClass` - the class name of the associated action

Method Detail

### show

    protected void show(java.lang.Object o)

  Overrides:
    `show` in class `BaseSelectorCommand`

### commit

    protected void commit(java.lang.Object o)
                   throws java.io.IOException

  Overrides:
    `commit` in class `BaseSelectorCommand`
  Throws:
    `java.io.IOException`

### getCommandStatus

    public int getCommandStatus(ActionSupportFilter filter)

  Returns a int value indicating whether the command is enabled for the given area as specified by the current area information encapsulate in the ActionSupportFilter. If not enabled, the key indicates a reason why the command is not enabled.

  Specified by:
    `getCommandStatus` in interface `CommandStatusInterface`
  Parameters:
    `filter` - The ActionSupportFilter that encapsulates all the necessary information to describe the current area.
  Returns:
    an int value indicating whether the command is enabled and, if not, why.
  See Also:
    `BaseAction.setReturnStatus(int)`

### setSwing

    public void setSwing(boolean swing)

### isSwing

    public boolean isSwing()

### getLevelLabelSortedItems

    public java.lang.String[] getLevelLabelSortedItems()

  Returns an array of strings containing unique IDs of the items to be sorted.

  Returns:
    an array of strings containing unique IDs of the items to be sorted

### setLevelLabelSortedItems

    public void setLevelLabelSortedItems(java.lang.String[] items)

  Sets an array of strings containing unique IDs of the items to be sorted.

  Parameters:
    `items` - an array of strings containing unique IDs of the items to be sorted

### getLevelLabelSortedDirections

    public java.lang.String[] getLevelLabelSortedDirections()

  Returns an array of strings that indicate the sort directions of the levelLabelSortedItems. The size of this array is the same size as the levelLabelSortedItems array. Valid values are "Ascending" and "Descending".

  Returns:
    an array of strings that indicate the sort directions of the levelLabelSortedItems

### setLevelLabelSortedDirections

    public void setLevelLabelSortedDirections(java.lang.String[] directions)

  Sets the array of strings that indicate the sort directions of the levelLabelSortedItems. The size of this array should be the same size as the levelLabelSortedItems array. Valid values are "Ascending" and "Descending".

  Parameters:
    `directions` - an array of strings that indicate the sort directions of the levelLabelSortedItems

### setLevelLabelSortHierarchy

    public void setLevelLabelSortHierarchy(java.lang.String value)

  Sets the string that indicates if the level label hierarchy is to be maintained.

  Parameters:
    `value` - the string that indicates if the level label hierarchy is to be maintained.

### getLevelLabelSortHierarchy

    public java.lang.String getLevelLabelSortHierarchy()

  Returns the string that indicates if the level label hierarchy is to be maintained.

  Returns:
    the string that indicates if the level label hierarchy is to be maintained.

### getCellValueSortedItems

    public java.lang.String[] getCellValueSortedItems()

  Returns an array of strings containing unique IDs of the items to be sorted.

  Returns:
    an array of strings containing unique IDs of the items to be sorted

### setCellValueSortedItems

    public void setCellValueSortedItems(java.lang.String[] items)

  Sets an array of strings containing unique IDs of the items to be sorted.

  Parameters:
    `items` - an array of strings containing unique IDs of the items to be sorted

### getCellValueSortedDirections

    public java.lang.String[] getCellValueSortedDirections()

  Returns an array of strings that indicate the sort directions of the cellValueSortedItems. The size of this array is the same size as the cellValueSortedItems array. Valid values are "Ascending" and "Descending".

  Returns:
    an array of strings that indicate the sort directions of the cellValueSortedItems

### setCellValueSortedDirections

    public void setCellValueSortedDirections(java.lang.String[] directions)

  Sets the array of strings that indicate the sort directions of the cellValueSortedItems. The size of this array should be the same size as the cellValueSortedItems array. Valid values are "Ascending" and "Descending".

  Parameters:
    `directions` - an array of strings that indicate the sort directions of the cellValueSortedItems

### setCellValueSortHierarchy

    public void setCellValueSortHierarchy(java.lang.String value)

  Sets the string that indicates if the cell value hierarchy is to be maintained.

  Parameters:
    `value` - the string that indicates if the cell value hierarchy is to be maintained.

### getCellValueSortHierarchy

    public java.lang.String getCellValueSortHierarchy()

  Returns the string that indicates if the cell value hierarchy is to be maintained.

  Returns:
    the string that indicates if the cell value hierarchy is to be maintained.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.